/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CSwitchBlock {
    private List<CCase> CCase;
    private List<CStmt> CStmt;

    public CSwitchBlock() {
        CCase = new ArrayList<CCase>();
        CStmt = new ArrayList<CStmt>();
    }

    public List<CCase> getCCase() {
        return CCase;
    }

    public void setCCase(List<CCase> CCase) {
        this.CCase = CCase;
    }

    public List<CStmt> getCStmt() {
        return CStmt;
    }

    public void setCStmt(List<CStmt> CStmt) {
        this.CStmt = CStmt;
    }

    public void addCCase(CCase c){
        CCase.add(c);
    }

    public void addCStmt(CStmt c){
        CStmt.add(c);
    }
    
}
